Subject: bug#55136: keepassxc segfaults when merging databases

From: Csepp <[email-masked]>
Date: Sun, 08 Oct 2023 16:27:48 +0200

Maxim Cournoyer <[email-masked]> writes:

> Hello,
>
> raingloom <[email-masked]> writes:
>
>> On Thu, 09 Jun 2022 23:42:35 -0400
>> Aurora <[email-masked]> wrote:
>>
>>> Maxim Cournoyer <[email-masked]> writes:
>>> >> Strange, I use keepassxc regularly for a long time now and I've
>>> >> never seen it crash. Though I don't do complex stuff such as
>>> >> merging databases, just retrieval of users and passwords and
>>> >> creation of new entries.  
>>> >
>>> > I also use it everyday, but I simply open an existing (dated)
>>> > database and edit entries to it/use it. It seems to crash often
>>> > when creating new databases for me.
>>> >
>>> > Maxim  
>>> 
>>> I just tested Guix's Keepassxc v2.7.1 at Guix revision
>>> 01596f40a994a2bb39dde5867ca66e9f7e9e67e0 for merging newly created
>>> databases (KDBX4) with and without conflicts in entries.
>>> 
>>> I experienced no crashes. Unless keepassxc or its dependencies
>>> changed
>>> by the time I tested it, I think that something else might be
>>> interacting.
>>> 
>>> - Aurora
>>
>> Might very well be an upstream bug, I'll try to build it with debug
>> symbols and see if I can reproduce it with the latest Guix commit.
>
> Any update?  Do newer versions work better for you?

Seems to work right now, I guess we can close it for now.